Skip to content
payrocdevelopers

Upload attachment to processing account

Browse API reference

POST/processing-accounts/{processingAccountId}/attachmentscreateProcessingAccountAttachment

Before you upload an attachment, make sure that you follow local privacy regulations and get the merchant's consent to process their information.

Note: You need the ID of the processing account before you can upload an attachment. If you don't know the processingAccountId, go to the Retrieve a Merchant Platform method.

The attachment must be an uncompressed file under 50MB in one of the following formats:

  • .bmp, csv, .doc, .docx, .gif, .htm, .html, .jpg, .jpeg, .msg, .pdf, .png, .ppt, .pptx, .tif, .tiff, .txt, .xls, .xlsx

In the request, include the attachment that you want to upload and the following information about the attachment:

  • type - Type of attachment that you want to upload.
  • description - Short description of the attachment.

In the response, our gateway returns information about the attachment including its upload status and an attachmentId that you can use to Retrieve the details of the Attachment.

Parameters

NameInTypeDescription
Idempotency-KeyRequiredheaderstring

Unique identifier that you generate for each request. You must use the UUID v4 format for the identifier. For more information about the idempotency key, go to Idempotency.

processingAccountIdRequiredpathstring

Unique identifier that we assigned to the processing account.

Request body

multipart/form-data · required
  • attachmentobjectrequired
    Object that contains details about the attachment.
    • descriptionstring
      Short description of the attachment.≤ 250 chars
    • metadataobject
      Object that you can send to include custom metadata in the request.
    • typestringrequired
      Type of attachment.5–25 charsbankingEvidencequestionnairesAndLicensesmerchantStatementstaxDocumentsmpaOrAmendmentproofOfBusinessfinancialStatementspersonalIdentification+1 more
  • filestringbinaryrequired
    File that you want to upload.

Responses

Successful request. We received the attachment.

201 Created · application/json
{
  "attachmentId": "2587",
  "contentType": "application/pdf",
  "createdDate": "2024-07-02T12:00:00.000Z",
  "description": "Passport as identification for lease agreement",
  "entity": {
    "id": "38765",
    "type": "processingAccount"
  },
  "fileName": "JaneDoePassport.pdf",
  "lastModifiedDate": "2024-07-02T12:00:00.000Z",
  "metadata": {
    "documentId": "2345"
  },
  "type": "personalIdentification",
  "uploadStatus": "pending"
}
Response schema · 12 fields
  • attachmentIdstringrequired
    Unique identifier that our gateway assigned to the attachment.
  • contentTypestringrequired
    Content type of the file.≤ 76 chars
  • createdDatestringdate-timerequired
    Date and time that we received your request to upload the attachment.
  • descriptionstring
    Short description of the attachment.≤ 250 chars
  • entityobjectrequired
    Object that contains information about the entity that the attachment is linked to.
    • idstringrequired
      Unique identifier of the entity that the attachment is linked to.≤ 50 chars
    • typestringrequired
      Type of entity that the attachment is linked to.≤ 17 charsprocessingAccount
  • fileNamestringrequired
    Name of the file.≤ 150 chars
  • lastModifiedDatestringdate-timerequired
    Date and time the attachment was last modified.
  • metadataobject
    Object that you can send to include custom metadata in the request.
  • typestringrequired
    Type of attachment.5–22 charsbankingEvidencequestionnairesAndLicensesmerchantStatementstaxDocumentsmpaOrAmendmentproofOfBusinessfinancialStatementspersonalIdentification+1 more
  • uploadStatusstringrequired
    Upload status of the attachment. The value is one of the following: pending We have not yet uploaded the attachment. accepted We have uploaded the attachment. rejected We rejected the attachment.≤ 8 charspendingacceptedrejected

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer